# Uses of Interface
javafx.util.BuilderFactory

Packages that use BuilderFactory
Package
Description
javafx.fxml
Contains classes for loading an object hierarchy from markup.

## Uses of BuilderFactory in javafx.fxml

Classes in javafx.fxml that implement BuilderFactory
Modifier and Type
Class
Description
`final class`
`JavaFXBuilderFactory`
JavaFX builder factory.
Methods in javafx.fxml that return BuilderFactory
Modifier and Type
Method
Description
`BuilderFactory`
FXMLLoader.`getBuilderFactory()`
Returns the builder factory used by this loader.
Methods in javafx.fxml with parameters of type BuilderFactory
Modifier and Type
Method
Description
`static <T> T`
FXMLLoader.`load(URL location, ResourceBundle resources, BuilderFactory builderFactory)`
Loads an object hierarchy from a FXML document.
`static <T> T`
FXMLLoader.`load(URL location, ResourceBundle resources, BuilderFactory builderFactory, Callback<Class<?>,Object> controllerFactory)`
Loads an object hierarchy from a FXML document.
`static <T> T`
FXMLLoader.`load(URL location, ResourceBundle resources, BuilderFactory builderFactory, Callback<Class<?>,Object> controllerFactory, Charset charset)`
Loads an object hierarchy from a FXML document.
`void`
FXMLLoader.`setBuilderFactory(BuilderFactory builderFactory)`
Sets the builder factory used by this loader.
Constructors in javafx.fxml with parameters of type BuilderFactory
Modifier
Constructor
Description
``
`FXMLLoader(URL location, ResourceBundle resources, BuilderFactory builderFactory)`
Creates a new FXMLLoader instance.
``
`FXMLLoader(URL location, ResourceBundle resources, BuilderFactory builderFactory, Callback<Class<?>,Object> controllerFactory)`
Creates a new FXMLLoader instance.
``
`FXMLLoader(URL location, ResourceBundle resources, BuilderFactory builderFactory, Callback<Class<?>,Object> controllerFactory, Charset charset)`
Creates a new FXMLLoader instance.
``
`FXMLLoader(URL location, ResourceBundle resources, BuilderFactory builderFactory, Callback<Class<?>,Object> controllerFactory, Charset charset, LinkedList<FXMLLoader> loaders)`
Creates a new FXMLLoader instance.